%global dlrn_nvr ironic-python-agent-builder-3.1.0.dev13-2.20211204024914.811d9ff
%global dlrn 1
%define upstream_version 3.1.0.dev13
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-ironic-python-agent-builder
Summary:        Builder of ironic-python-agent ramdisk images
Version: 3.1.0
Release: 2.20211204024914.811d9ff%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://docs.openstack.org/ironic-python-agent-builder
Source0: ironic-python-agent-builder-3.1.0.dev13-2.20211204024914.811d9ff.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=811d9ff9e55b6d79d1f086880442d64788a8fdd5

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires:       diskimage-builder

%description
This package contains a script to build an ironic-python-agent builder, as well
as a diskimage-builder element for it.

%prep
%autosetup -n ironic-python-agent-builder-%{upstream_version} -S git

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%license LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/ironic_python_agent_builder*
%{_bindir}/ironic-python-agent-builder
%{_datadir}/ironic-python-agent-builder

%changelog
* Fri Dec 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20211204024914.811d9ff
- Update patches
- Replace genisoimage with xorriso

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20211123024910.32d19e3
- Update patches
- add element-deps for element burn-in delete entries

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20211119034904.a594bc0
- Update patches
- Build and publish arm64 debian based ipa ramdisk
- more details where to find the iso-image-create script

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20211112141741.9dd67d4
- Update patches
- new element burn-in for package stress-ng, added fio

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20211108124054.349e00e
- Update patches
- Bump pip for tinyipa to 21.3.1
- Associate pip version to python version in DIB based images

* Mon Sep 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.0-2.20210921024812.bffece3
- Update patches
- Update master for stable/xena

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210917024812.47ca827
- Update patches
- Support non-genisoimage binaries

* Tue Sep 14 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210915024808.8f8cff2
- Update patches
- Remove support for iSCSI deploy from the DIB builder
- Use Ubuntu Focal instead of the default Bionic

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210914024810.9e2af38
- Update patches
- Preliminary work to support CentOS 9 Stream

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210911024812.68ba6f3
- Update patches
- Use native Centos 8 Stream for dib images
- Stop explicitly supported Fedora
- CI: specify Debian version explicitly

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210812024809.5c8fc6f
- Update patches
- Allow opt-out of full ramdisk pruning

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210811024811.8ba630f
- Update patches
- Revert "Allow configuration of paths to prune"

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210731024810.6898957
- Update patches
- Allow configuration of paths to prune

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210727164819.ee4f3a8
- Update patches
- typo in docu, admin, ironic-python-agent-ramdisk, outputs three files -> two

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210619024841.70ffdc5
- Update patches
- Update min version of tox to use allowlist

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210612124808.609531a
- Update patches
- Restrict publishing jobs to master

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210529034815.b133d4d
- Update patches
- Update requirements for diskimage-builder

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210528134137.9e4ba9b
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 2.8.0-2.20210513010131.9e4ba9b
- Update patches
- tinyIPA: remove support for iSCSI deploy
- Update master for stable/wallaby
- setup.cfg: Replace dashes with underscores
- Fix build error on aarch64

* Tue May 04 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.1-2.20210505024802.1355d79
- Update patches
- Stop testing the iscsi deploy interface

* Sat May 01 2021 OSP Prod Chain <dev-null@redhat.com> 2.6.1-2.20210501044803.05ff6a3
- Update patches
- Fix python2 compatible ipa creations
- Create tcedir with correct permissions

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix: IPA image building with OpenSuse.

* Wed Mar 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Copy resolv.conf handling from diskimage-builder

* Sat Mar 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix tinyipa virtual media indicator flag

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add a job to test tinyipa in ussuri
- dhcp.sh predictible ifnames

* Thu Mar 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Revert "Use ussuri branch for tinyipa check job for ussuri"
- Use ussuri branch for tinyipa check job for ussuri
- Centralize variables

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add tinyipa ussuri jobs
- Use git hash instead of release to build ipmitool

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Avoid empty dependencies in tox.ini
- Use tinycore 12 to build tinyipa

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Do not build iso for ussuri ipa

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Relax requirement of diskimage-builder

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Make sure we can create tinyipa isos

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Drop ppc64le installs of biosdevname, efibootmgr, efivar

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix Makefile from accidential change
- Remove PYOPTIMIZE_TINYIPA capability
- Support installing ironic-lib from source

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix list formatting

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Upgrade pip to at least 19.1.1
- Update version of tgt to 1.0.80

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add nvme-cli package to IPA image

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update requirements for diskimage-builder

* Sun Jan 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Reconfigure tox.ini

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Removes unnecessary requirement of sdparm

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add doc/requirements
- Remove firmware from debian based systems
- Make the debian job voting and start publishing debian images

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix ELEMENTS_PATH environment variable being overwritten.
- Add ironic-ramdisk-base to build general-purpose ramdisks

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add additional firmware images to be excluded

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Revert "Switch images to CentOS Stream 8"
- Switch images to CentOS Stream 8
- Support using lzma for initramfs compression
- Remove netronome and amdgpu firmware by default
- Workaround for latest pip versions
- Clean up package installation

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Fri Nov 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Run check image jobs on ubuntu focal
- Remove nodeset from ironic-python-agent-build-image-base based jobs

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Repair the previous image name

* Mon Nov 09 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use more generic TOX_CONSTRAINTS_FILE
- Force SELinux to be in permissive mode

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add documentation about the available Elements
- Set safe version of hacking
- Use centos element for dib on focal

* Tue Oct 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Support the configuration directory for tinyIPA

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use tinycore 11 to build tinyipa

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add an element to install python-hardware

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Advertise HTTPS in IPA ramdisk without Ironic assist
- tinyipa: use python 3 for building on all systems

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix typo in spelling of "finalise", breaking build

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix cacert path for TLS element
- Add dosfsutils for EFI to tinyipa
- Followups for TLS support
- Use converted ipa jobs

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add element to configure IPA with TLS, use configdir
- Install libssl-dev / openssl-devel when building IPA

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Build centos8 on centos8
- Move zuul config in zuul.d
- Leave kbd installed
- Remove old proc before finalising tinyipa
- Pin pip version to install in tinyipa images

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Pin pip version to install in tinyipa images

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Pin pip version to install in tinyipa images
- Pin pip version to install in tinyipa images

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Pin pip version to install in tinyipa images

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix finalise tinyipa

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update name of ipa job

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Support installing with Python 3 on CentOS 7

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Log IPv6 configuration status for tinycore

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add dynamic-login to our published images by default

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Strip some excess from the centos dib image

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add Tripleo IPA build image job in zuul layout
- [tinyipa] Fix getting MTU via dhcp

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Sat Jul 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Set min version of tox to 3.2.1

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fixes DIB_IPA_CERT certificate copy issue

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Build tinyipa on focal

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Disable EPEL on CentOS 8 by default

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Disable automatic updates in dnf-based systems

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Run ensure-pip in the build/check jobs

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix python-dev package mapping

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install missing ffi development library

* Sat May 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add releasenotes link to README

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Change ownership of tce info dir

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install linux-firmware in DIB images

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update tox.ini

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- [Trivial] Doc update on the stable-interface-names

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Cleanup py27 support

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Install e2fsprogs in dib images

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add DIB_REPOREF_requirements when building images using a specific branch

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Workaround for missing adjtime file
- Use variables for ssh paths

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use python3 binary for all operations

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use train branch for centos7 job

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Force DIB_PYTHON_VERSION to 3 for Debian
- Make Ubuntu Bionic job green again
- Upgrade pip if it's too old

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add ntpdate/ntpclient/chrony
- Upgrade to tinycore 10.x

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add extra filesystem support

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Revert "Test artifact publishing via AFS"

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Test artifact publishing via AFS

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Use correct command for Python virtualenv

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix pip install pkgs with non-ascii characters in filenames

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: replace targetcli with target-restore on RHEL/CentOS 8"
- DIB: replace targetcli with target-restore on RHEL/CentOS 8

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix and return the CentOS 7 job

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Start installing DIB from Zuul-cloned sources in the CI

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Add efivar"
- CI: add a non-voting partition-iscsi DIB job
- Add efivar

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Convert versions for software builds to variables"
- Convert versions for software builds to variables

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Upgrade syslinux version"
- Merge "Use variables for syslinux in build-iso script"
- Upgrade syslinux version
- Use variables for syslinux in build-iso script

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Replace CentOS 7 images with CentOS 8"
- Replace CentOS 7 images with CentOS 8

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Be a bit more verbose around tinyipa for rescue

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix the binary name in document

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Add efibootmgr"
- Add efibootmgr

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Update tinycore mirrors"
- Update tinycore mirrors

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Revert "Update tinycore from 9.x to 10.x""
- Revert "Update tinycore from 9.x to 10.x"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Add words on building image for other architecture

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Update tinycore from 9.x to 10.x"
- Update tinycore from 9.x to 10.x

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Drop python 2.7 support and testing

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Fix IPA execution issues due to lack of entropy

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Generate checksums for DIB images

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "CLI: add --verbose and --extra-args"
- CLI: add --verbose and --extra-args

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- tinyIPA: raise udevadm settle timeout

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: add --branch argument to override IPA branch"
- DIB: add --branch argument to override IPA branch

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Clone and checkout is not needed anymore"
- Clone and checkout is not needed anymore

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Revert "Temporary raise diskimage-builder to the latest version""
- Revert "Temporary raise diskimage-builder to the latest version"

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Update upper-constraints handling

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "Allow extra python pakgs into tinyipa"
- Allow extra python pakgs into tinyipa

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Allow changing DIB_RELEASE and add a job with CentOS 8
- Merge "Slim down the pre-built DIB IPA images"
- Merge "DIB: allow disabling rescue mode"
- Merge "Increase the DIB DHCP timeout to 60"
- Merge "DIB: default to installing pip and virtualenv from packages"
- Slim down the pre-built DIB IPA images
- DIB: allow disabling rescue mode
- DIB: default to installing pip and virtualenv from packages
- Increase the DIB DHCP timeout to 60

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Temporary raise diskimage-builder to the latest version

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1
- Update patches
- Merge "DIB: do not mention dhcp-all-interfaces explicitly"
- DIB: add non-voting image building jobs for various distros
- DIB: do not mention dhcp-all-interfaces explicitly

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Clean up the ansible playbooks"
- Clean up the ansible playbooks

